
<launch>

  <!-- Gazebo start -->
  <arg name="cur_world_name" default="$(find pioneer3dx_robot)/worlds/test10.world "/> <!-- Note: the world_name is with respect to GAZEBO_RESOURCE_PATH environmental variable -->

  <!-- We resume the logic in empty_world.launch, changing only the name of the world to be launched -->
  <include file="$(find gazebo_ros)/launch/empty_world.launch">
    <arg name="world_name" value="$(arg cur_world_name)"/> <!-- Note: the world_name is with respect to GAZEBO_RESOURCE_PATH environmental variable -->
  </include>

  <!-- Robot with diff drive -->
  <include file="$(find pioneer3dx_robot)/launch/pioneer3dx.gazebo.launch">
    <arg name="robot_name" value="r1" />
    <!-- Y counterclock-wise -->
    <arg name="robot_position" value="-x -6.5 -y -1.9 -z 0.01 -R 0 -P 0 -Y -0.15" />
  </include>

  <node pkg="tf" type="static_transform_publisher" name="base_to_odom_r1"
    args="0.0 -0.0 0.0 0.0 0.0 0.0 base_link r1/odom 200" />

  <include file="$(find robot_library)/launch/start_servers.launch"/>

</launch>
